Bug 1671148 - hammer host update not showing --lifecycle-environment option
Summary: hammer host update not showing --lifecycle-environment option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.4.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-30 21:47 UTC by Ivan Windon
Modified: 2019-11-05 22:44 UTC (History)
21 users (show)

Fixed In Version: foreman-1.20.1.12-1,tfm-rubygem-katello-3.10.0.25-1,foreman_openscap-0.11.5.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:11 UTC
Foreman Issue Tracker 25717 None None None 2019-02-20 14:10:06 UTC
Foreman Issue Tracker 25820 None None None 2019-02-20 14:10:06 UTC
Foreman Issue Tracker 25821 None None None 2019-02-20 14:10:06 UTC
Red Hat Knowledge Base (Solution) 3164191 Supportability None [Satellite 6] hammer cli command does not recognise option --lifecycle-environment 2019-02-26 20:35:25 UTC

Comment 20 Justin Sherrill 2019-02-19 20:41:47 UTC
Uploading a patch that was tested with 6.4 for this issue.  Note, this is NOT a final solution.  The current issue is that only one plugin can add extensions to the host object within apipie.  This patch makes it so that katello is the one adding extensions at the expense of the openscap plugin.


After applying this patch, simply run "foreman-rake apipie:cache"


diff --git a/lib/katello/engine.rb b/lib/katello/engine.rb
index 260fc3d1d4..5ee5574417 100644
--- a/lib/katello/engine.rb
+++ b/lib/katello/engine.rb
@@ -55,7 +55,7 @@ module Katello
 
     # make sure the Katello plugin is initialized before `after_initialize`
     # hook so that the resumed Dynflow tasks can rely on everything ready.
-    initializer 'katello.register_plugin', :before => :finisher_hook do
+    initializer 'katello.register_plugin', :before => 'foreman_openscap.register_plugin' do
       require 'katello/plugin'
       # extend builtin permissions from core with new actions
       require 'katello/permissions'

Comment 21 Justin Sherrill 2019-02-20 14:10:06 UTC
It turns out this has been resolved upstream this past month.  Adding the 3 upstream issues.

Comment 40 errata-xmlrpc 2019-05-14 12:40:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.